Subject: bug#47161: 28.0.50; [feature/native-comp] Failure to native-compile bytecomp.el etc.

From: Stefan Monnier <[email-masked]>
Date: Tue, 16 Mar 2021 21:27:11 -0400

> I also suddenly see another byte-compilation message:
>
>     ELC      emacs-lisp/byte-opt.elc
>   Compiler-macro error for cl--block-wrapper: (error "(setf seq-elt) is already defined as something else than a generic function")
>   Eager macro-expansion failure: (error "(setf seq-elt) is already defined as something else than a generic function")
>
> What causes this?

Can you try and reproduce this while `macroexp--debug-eager` is set to
a non-nil value so we hopefully get a backtrace?

The error means we're trying to do something like
`cl-defmethod` on `(setf seq-elt)` after having defined `(setf
seq-elt)` as something like a normal function, but I can't see where
we'd define it as something else.  Neither do I understand why
`cl--block-wrapper` would go through that unless it ends up loading
`seq.el` somehow.

        Stefan